<bugID>544817<Summary>Create Bookmarks Widget with placement dependent on Bookmarks Bar status</Summary><Description>Created attachment 425749
[Mockup] Bookmarks Widget

With the new theme hiding the MenuBar we need a place to expose the contents of the Bookmarks menu. It is also a good time to streamline the bookmarks interface:

* Hide the Bookmarks Bar by default for new profiles and profiles that have never modified the default contents
* A Bookmarks Widget that replicates the Bookmarks Menu will be placed to the right of the Search Bar by default or if the Bookmarks Bar is hidden
* If the Bookmarks Bar is shown place the Bookmarks Widget on the left side of the Bookmarks Bar
* Replicate the contents and functionality of the bookmarks menu minus "Bookmark This Page" and "Subscribe to This Page" because they are exposed in the interface

See attachment for mockup.</Description></bugID>